/*
*
* GeoIP functions
*
* (c) Copyright 2006, dJeyL
* This file is provided as is (no warranties).
*
*/

#if defined _geoip_included
  #endinput
#endif
#define _geoip_included

/* Note : IP addresses can contain ports (ex: "216.239.51.100:27005" will work). */

/* Get country code on 2 characters (ex: US,GB,FR,DE,...). */
native geoip_code2(ip[],result[3]);

/* Get country code on 3 characters (ex: USA,GBR,FRA,DEU,...). */
native geoip_code3(ip[],result[4]);

/* Get country name (max size : 44 characters) (ex: United States,United Kingdom,France,Germany,...). */
native geoip_country(ip[],result[45]);
